ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Lévy-Lambert <anto...@antbuild.com>
Subject Re: using jdk1.5alpha for javac
Date Thu, 22 Jan 2004 21:40:23 GMT
James Black wrote:

> Hello,
>  I am trying to figure out how to get the javac task to work, but I am 
> having a problem with one option.
>
>  I am trying
> <javac
>    fork="yes"
>    executable="/usr/j2sdk1.5.0/bin/javac"
>    source="1.5"
>    srcdir="...">
>
>
>  Everything works until I try source="1.5", then I get an error.
>
>  I want to start trying to use some of the new features (such as 
> autoboxing) and see if it works fine on the production server running 
> jdk1.4.2.
>
>   I can't just set my path to point to the 1.5 jdk because I have a 
> problem with junitreport, which appears to be a bug in xalan, so I 
> just want to compile with 1.5, then run my tests with 1.4.2.
>
>  Thank you for any suggestions.
>
>
>
I am not sure whether you need source="1.5"
fork="true" and executable="......" should be enough.

Just guessing, I did not do any java 1.5 compiles yet.

Antoine


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message